{
    attributes = (
        {
            columnName = FANN_KEY; 
            externalType = NUMBER; 
            name = fannKey; 
            precision = 4; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = PERS_ID; 
            externalType = NUMBER; 
            name = persId; 
            precision = 8; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = QENT_DATE; 
            externalType = DATE; 
            name = qentDate; 
            valueClassName = NSCalendarDate; 
        }, 
        {
            columnName = QENT_KEY; 
            externalType = NUMBER; 
            name = qentKey; 
            precision = 12; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = QENT_LIBELLE; 
            externalType = VARCHAR2; 
            name = qentLibelle; 
            valueClassName = NSString; 
            width = 200; 
        }, 
        {
            columnName = QENT_VALIDITE; 
            externalType = VARCHAR2; 
            name = qentValidite; 
            valueClassName = NSString; 
            width = 1; 
        }
    ); 
    attributesUsedForLocking = (qentKey); 
    className = EOGenericRecord; 
    classProperties = (
        qentKey, 
        persId, 
        qentLibelle, 
        qentDate, 
        qentValidite, 
        fannKey, 
        toScolFormationAnnee, 
        toGrhumPersonne
    ); 
    externalName = SCOL_ENQUETE_ENTETE; 
    fetchSpecificationDictionary = {}; 
    name = ScolEnqueteEntete; 
    primaryKeyAttributes = (qentKey); 
    relationships = (
        {
            destination = GrhumPersonne; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = persId; sourceAttribute = persId; }); 
            name = toGrhumPersonne; 
        }, 
        {
            destination = ScolFormationAnnee; 
            internalInfo = {_nameInObjectStore = scolFormationAnnee; }; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = fannKey; sourceAttribute = fannKey; }); 
            name = toScolFormationAnnee; 
        }
    ); 
}
